Comment spécifier JPA 2.1 dans persistence.xml?

Une recherche rapide sur le net révèle 3 ou 4 variantes de la manière dont les utilisateurs ont spécifié xmlns et xsi:schemaLocation dans persistence.xml .

Quelle serait la manière «correcte» de spécifier la version 2.1 de JPA?

J’utilise:

  

    Selon la documentation officielle, il doit être (comme le vôtre):

      ...